LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
FilterControl Service Reference

describes a check box control which can (but not necessarily has to) be bound to a database field. More...

`import"FilterControl.idl";`

Inheritance diagram for FilterControl:

## Public Member Functions
| createWithFormat ([in] com::sun::star::awt::XWindow MessageParent, [in] com::sun::star::util::XNumberFormatter NumberFormatter, [in] com::sun::star::beans::XPropertySet ControlModel)
Public Member Functions inherited from XControl
void | setContext ([in] com::sun::star::uno::XInterface Context)
| sets the context of the control. More...
com::sun::star::uno::XInterface | getContext ()
| gets the context of the control. More...
void | createPeer ([in] com::sun::star::awt::XToolkit Toolkit, [in] com::sun::star::awt::XWindowPeer Parent)
| creates a "child" window on the screen. More...
com::sun::star::awt::XWindowPeer | getPeer ()
| returns the peer which was previously created or set. More...
boolean | setModel ([in] com::sun::star::awt::XControlModel Model)
| sets a model for the control. More...
com::sun::star::awt::XControlModel | getModel ()
| returns the model for this control. More...
com::sun::star::awt::XView | getView ()
| returns the view of this control. More...
void | setDesignMode ([in] boolean bOn)
| sets the design mode for use in a design editor. More...
boolean | isDesignMode ()
| returns `TRUE` if the control is in design mode, `FALSE` otherwise. More...
boolean | isTransparent ()
| returns `TRUE` if the control is transparent, `FALSE` otherwise. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

describes a check box control which can (but not necessarily has to) be bound to a database field.

The model of the control has to support the com::sun::star::form::component::CheckBox service.

See also
  com::sun::star::awt::UnoControl
  com::sun::star::awt::UnoControlModel

## Member Function Documentation

## ◆ createWithFormat()

createWithFormat | ( | [in] com::sun::star::awt::XWindow | MessageParent,
|  | [in] com::sun::star::util::XNumberFormatter | NumberFormatter,
|  | [in] com::sun::star::beans::XPropertySet | ControlModel
| ) |  |

The documentation for this service was generated from the following file:

- com/sun/star/form/control/FilterControl.idl